# module Tk::Tcllib::Widget

### Constants

DateEntry
MenuEntry
PACKAGE_NAME
Panelframe
Screenruler
ScrolledWindow
Scrolledwindow
Superframe

### Public Class Methods

isa(compare_as, *args) click to toggle source

    # File lib/tkextlib/tcllib/widget.rb, line 32
    def self.isa(compare_as, *args)
      begin
        return Tk.tk_call('::widget::isa', compare_as, *args)
      rescue => e
        if TkComm.bool(Tk.tk_call('info','command','::widget::isa')) ||
            ! TkComm.bool(Tk.tk_call('info','command','::widget::validate'))
          fail e
        end
      end
      Tk.tk_call('::widget::validate', compare_as, *args)
    end

package_name() click to toggle source

    # File lib/tkextlib/tcllib/widget.rb, line 19
    def self.package_name
      PACKAGE_NAME
    end

package_version() click to toggle source

    # File lib/tkextlib/tcllib/widget.rb, line 23
    def self.package_version
      begin
        TkPackage.require('widget')
      rescue
        ''
      end
    end

validate(compare_as, *args) click to toggle source

    # File lib/tkextlib/tcllib/widget.rb, line 43
    def self.validate(compare_as, *args)
      begin
        return Tk.tk_call('::widget::validate', compare_as, *args)
      rescue => e
        if TkComm.bool(Tk.tk_call('info','command','::widget::validate')) ||
            ! TkComm.bool(Tk.tk_call('info','command','::widget::isa'))
          fail e
        end
      end
      Tk.tk_call('::widget::isa', compare_as, *args)
    end